Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.jsptools.portal
Class PortalVisitorConstants

    java.lang.Object
      com.bea.jsptools.portal.PortalVisitorConstants

public class PortalVisitorConstants
extends Object

Constants for Portal Visitor Tools

Field Summary
`static String` | `ADD_NAVIGABLE_IDS`
`static String` | `ADD_NAVIGABLE_POSITIONS`
`static String` | `ADD_PLACEABLE_IDS`
`static String` | `ADD_PLACEABLE_PLACEHOLDERS`
`static String` | `ADD_PLACEABLE_POSITIONS`
`static String` | `BOOK`
`static String` | `BOOK_TO_MOVE_RESOURCE_TO`
`static String` | `CANCEL`
`static String` | `CANCEL_BOOK`
`static String` | `CANCEL_PAGE`
`static String` | `COLAN`
`static String` | `COMMA`
`static String` | `CUSTOMIZE_PORTAL`
`static String` | `DELETE_NAVIGABLE_IDS`
`static String` | `DELETE_PLACEABLE_IDS`
`static String` | `DESKTOP_PATH`
`static String` | `EDIT`
`static String` | `EDIT_BOOK`
`static String` | `EDIT_BOOK_NAME`
`static String` | `EDIT_PAGE`
`static String` | `EDIT_PAGE_NAME`
`static String` | `EMPTY`
`static String` | `LAYOUT_ID`
`static String` | `LOOK_AND_FEEL_ID`
`static String` | `MAIN_BOOK`
`static String` | `MENU_ID`
`static String` | `MOVE_NAVIGABLE_IDS`
`static String` | `MOVE_NAVIGABLE_POSITIONS`
`static String` | `MOVE_PLACEABLE_IDS`
`static String` | `MOVE_PLACEABLE_PLACEHOLDERS`
`static String` | `MOVE_PLACEABLE_POSITIONS`
`static String` | `NEGATIVE_ONE`
`static String` | `NEW_BOOK`
`static String` | `NEW_PAGE`
`static String` | `PAGE`
`static String` | `PAGE_LABEL`
`static String` | `PAGE_TO_MOVE_RESOURCE_TO`
`static String` | `PORTAL_PATH`
`static String` | `PORTLET`
`static String` | `RENAME_RESOURCE`
`static String` | `RESOURCE_ID`
`static String` | `RESOURCE_TO_MOVE`
`static String` | `RESOURCE_TO_MOVE_FROM`
`static String` | `RESOURCE_TYPE`
`static String` | `RESOURCE_TYPE_TO_MOVE`
`static String` | `RESOURCE_TYPE_TO_MOVE_FROM`
`static String` | `SAVE_BOOK`
`static String` | `SAVE_PLACEHOLDERS`
`static String` | `SHOW_PAGE_CONTENTS`
`static String` | `TARGET_PAGE_ID`
`static String` | `THEME_ID`
`static String` | `UNDERSCORE`
`static String` | `VISITOR_TOOLS_EDIT_BOOK`
`static String` | `VISITOR_TOOLS_EDIT_PAGE`
`static String` | `VISITOR_TOOLS_MAIN_PAGE`
`static String` | `WEB_APP_NAME`

Constructor Summary
`PortalVisitorConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADD_NAVIGABLE_IDS

    public static final String ADD_NAVIGABLE_IDS

See Also:
  Constant Field Values

### ADD_NAVIGABLE_POSITIONS

    public static final String ADD_NAVIGABLE_POSITIONS

See Also:
  Constant Field Values

### ADD_PLACEABLE_IDS

    public static final String ADD_PLACEABLE_IDS

See Also:
  Constant Field Values

### ADD_PLACEABLE_PLACEHOLDERS

    public static final String ADD_PLACEABLE_PLACEHOLDERS

See Also:
  Constant Field Values

### ADD_PLACEABLE_POSITIONS

    public static final String ADD_PLACEABLE_POSITIONS

See Also:
  Constant Field Values

### BOOK

    public static final String BOOK

See Also:
  Constant Field Values

### BOOK_TO_MOVE_RESOURCE_TO

    public static final String BOOK_TO_MOVE_RESOURCE_TO

See Also:
  Constant Field Values

### CANCEL

    public static final String CANCEL

See Also:
  Constant Field Values

### CANCEL_BOOK

    public static final String CANCEL_BOOK

See Also:
  Constant Field Values

### CANCEL_PAGE

    public static final String CANCEL_PAGE

See Also:
  Constant Field Values

### COLAN

    public static final String COLAN

See Also:
  Constant Field Values

### COMMA

    public static final String COMMA

See Also:
  Constant Field Values

### CUSTOMIZE_PORTAL

    public static final String CUSTOMIZE_PORTAL

See Also:
  Constant Field Values

### DELETE_NAVIGABLE_IDS

    public static final String DELETE_NAVIGABLE_IDS

See Also:
  Constant Field Values

### DELETE_PLACEABLE_IDS

    public static final String DELETE_PLACEABLE_IDS

See Also:
  Constant Field Values

### DESKTOP_PATH

    public static final String DESKTOP_PATH

See Also:
  Constant Field Values

### EDIT

    public static final String EDIT

See Also:
  Constant Field Values

### EDIT_BOOK

    public static final String EDIT_BOOK

See Also:
  Constant Field Values

### EDIT_BOOK_NAME

    public static final String EDIT_BOOK_NAME

See Also:
  Constant Field Values

### EDIT_PAGE

    public static final String EDIT_PAGE

See Also:
  Constant Field Values

### EDIT_PAGE_NAME

    public static final String EDIT_PAGE_NAME

See Also:
  Constant Field Values

### EMPTY

    public static final String EMPTY

See Also:
  Constant Field Values

### LAYOUT_ID

    public static final String LAYOUT_ID

See Also:
  Constant Field Values

### LOOK_AND_FEEL_ID

    public static final String LOOK_AND_FEEL_ID

See Also:
  Constant Field Values

### MAIN_BOOK

    public static final String MAIN_BOOK

See Also:
  Constant Field Values

### MENU_ID

    public static final String MENU_ID

See Also:
  Constant Field Values

### MOVE_NAVIGABLE_IDS

    public static final String MOVE_NAVIGABLE_IDS

See Also:
  Constant Field Values

### MOVE_NAVIGABLE_POSITIONS

    public static final String MOVE_NAVIGABLE_POSITIONS

See Also:
  Constant Field Values

### MOVE_PLACEABLE_IDS

    public static final String MOVE_PLACEABLE_IDS

See Also:
  Constant Field Values

### MOVE_PLACEABLE_PLACEHOLDERS

    public static final String MOVE_PLACEABLE_PLACEHOLDERS

See Also:
  Constant Field Values

### MOVE_PLACEABLE_POSITIONS

    public static final String MOVE_PLACEABLE_POSITIONS

See Also:
  Constant Field Values

### NEGATIVE_ONE

    public static final String NEGATIVE_ONE

See Also:
  Constant Field Values

### NEW_BOOK

    public static final String NEW_BOOK

See Also:
  Constant Field Values

### NEW_PAGE

    public static final String NEW_PAGE

See Also:
  Constant Field Values

### PAGE

    public static final String PAGE

See Also:
  Constant Field Values

### PAGE_LABEL

    public static final String PAGE_LABEL

See Also:
  Constant Field Values

### PAGE_TO_MOVE_RESOURCE_TO

    public static final String PAGE_TO_MOVE_RESOURCE_TO

See Also:
  Constant Field Values

### PORTAL_PATH

    public static final String PORTAL_PATH

See Also:
  Constant Field Values

### PORTLET

    public static final String PORTLET

See Also:
  Constant Field Values

### RENAME_RESOURCE

    public static final String RENAME_RESOURCE

See Also:
  Constant Field Values

### RESOURCE_ID

    public static final String RESOURCE_ID

See Also:
  Constant Field Values

### RESOURCE_TO_MOVE

    public static final String RESOURCE_TO_MOVE

See Also:
  Constant Field Values

### RESOURCE_TO_MOVE_FROM

    public static final String RESOURCE_TO_MOVE_FROM

See Also:
  Constant Field Values

### RESOURCE_TYPE

    public static final String RESOURCE_TYPE

See Also:
  Constant Field Values

### RESOURCE_TYPE_TO_MOVE

    public static final String RESOURCE_TYPE_TO_MOVE

See Also:
  Constant Field Values

### RESOURCE_TYPE_TO_MOVE_FROM

    public static final String RESOURCE_TYPE_TO_MOVE_FROM

See Also:
  Constant Field Values

### SAVE_BOOK

    public static final String SAVE_BOOK

See Also:
  Constant Field Values

### SAVE_PLACEHOLDERS

    public static final String SAVE_PLACEHOLDERS

See Also:
  Constant Field Values

### SHOW_PAGE_CONTENTS

    public static final String SHOW_PAGE_CONTENTS

See Also:
  Constant Field Values

### TARGET_PAGE_ID

    public static final String TARGET_PAGE_ID

See Also:
  Constant Field Values

### THEME_ID

    public static final String THEME_ID

See Also:
  Constant Field Values

### UNDERSCORE

    public static final String UNDERSCORE

See Also:
  Constant Field Values

### VISITOR_TOOLS_EDIT_BOOK

    public static final String VISITOR_TOOLS_EDIT_BOOK

See Also:
  Constant Field Values

### VISITOR_TOOLS_EDIT_PAGE

    public static final String VISITOR_TOOLS_EDIT_PAGE

See Also:
  Constant Field Values

### VISITOR_TOOLS_MAIN_PAGE

    public static final String VISITOR_TOOLS_MAIN_PAGE

See Also:
  Constant Field Values

### WEB_APP_NAME

    public static final String WEB_APP_NAME

See Also:
  Constant Field Values

Constructor Detail

### PortalVisitorConstants

    public PortalVisitorConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved